﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using SilverlightApplication166.ViewModel;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication51
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Boolean toggle = false;
        public MainWindow()
        {
            InitializeComponent();
            VM vm = new VM();
            layoutroot.DataContext = vm;
                 
        }

        public void ToggleExpandAll(Boolean toggle, ViewableRecordCollection rc)
        {
            foreach (Record r in rc)
            {
                if (r.HasChildren)
                {
                    r.IsExpanded = toggle;
                    ToggleExpandAll(toggle, r.ViewableChildRecords);
                }
            }
   
        }

        private void btn_Click(object sender, RoutedEventArgs e)
        {
            toggle = !toggle;
            
            ToggleExpandAll(toggle, xgrid1.ViewableRecords);
          
        }
    }
}
